---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: node2
  labels:
    app: node2
  namespace: prod
spec:
  replicas: 3
  revisionHistoryLimit: 2
  strategy:
    type: Recreate
  selector:
    matchLabels:
      app: node
  template:
    metadata:
      labels:
        app: node
    spec:
      containers:
      - name: node2
        image: _IMAGE_NAME_:_VERSION_
        command: ["dotnet"]
        args: ["DeStream.DeStreamD.dll","-addnode=148.251.53.215","-addnode=144.76.219.71"]
        ports:
        - name: node-api
          containerPort: 56833
        - name: node-svc
          containerPort: 56864
        volumeMounts:
        - name: pv-node2
          mountPath: "/root/.destreamnode"
      imagePullSecrets:
      - name: registrypullsecret
      volumes:
      - name: pv-node2
        persistentVolumeClaim:
          claimName: pv-node2-claim